net.sf.jasperreports.view

## Class JRViewer

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - net.sf.jasperreports.view.JRViewer

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, JRHyperlinkListener
  Direct Known Subclasses:
    JRDesignViewer

      public class JRViewer
      extends javax.swing.JPanel
      implements JRHyperlinkListener

  Represents the built-in visual component for JasperReports.

  This class is different from the rest of the classes listed previously in that it is more like a pluggable component than a utility class. It can be used in Swing-based applications to view the reports generated by the JasperReports library.

  This visual component was included like a demo component to show how the core printing functionality can be used to display the reports in Swing-based applications.

  The preferred way to adapt this component to a particular application is by subclassing it.

  Version:
    $Id: JRViewer.java 7017 2014-04-15 10:18:40Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `JRViewer.ImageMapPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `javax.swing.JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.swing.JToggleButton` | `btnActualSize`
    `protected javax.swing.JButton` | `btnFirst`
    `protected javax.swing.JToggleButton` | `btnFitPage`
    `protected javax.swing.JToggleButton` | `btnFitWidth`
    `protected javax.swing.JButton` | `btnLast`
    `protected javax.swing.JButton` | `btnNext`
    `protected javax.swing.JButton` | `btnPrevious`
    `protected javax.swing.JButton` | `btnPrint`
    `protected javax.swing.JButton` | `btnReload`
    `protected javax.swing.JButton` | `btnSave`
    `protected javax.swing.JButton` | `btnZoomIn`
    `protected javax.swing.JButton` | `btnZoomOut`
    `protected javax.swing.JComboBox` | `cmbZoom`
    `protected int` | `defaultZoomIndex`
    `protected boolean` | `isXML`
    `protected JasperReportsContext` | `jasperReportsContext`
    `protected java.awt.event.KeyListener` | `keyNavigationListener`
    `protected java.io.File` | `lastFolder`
    `protected JRSaveContributor` | `lastSaveContributor`
    `protected javax.swing.JLabel` | `lblStatus`
    `protected LocalJasperReportsContext` | `localJasperReportsContext`
    `protected float` | `MAX_ZOOM`
    `protected float` | `MIN_ZOOM`
    `protected javax.swing.JPanel` | `pnlSep01`
    `protected javax.swing.JPanel` | `pnlSep02`
    `protected javax.swing.JPanel` | `pnlSep03`
    `protected javax.swing.JPanel` | `pnlStatus`
    `protected float` | `realZoom` the zoom ration adjusted to the screen resolution.
    `static int` | `REPORT_RESOLUTION` The DPI of the generated report.
    `protected java.lang.String` | `reportFileName`
    `protected java.util.List<JRSaveContributor>` | `saveContributors`
    `protected javax.swing.JPanel` | `tlbToolBar`
    `protected javax.swing.JTextField` | `txtGoTo`
    `protected int` | `type`
    `protected static int` | `TYPE_FILE_NAME`
    `protected static int` | `TYPE_INPUT_STREAM`
    `protected static int` | `TYPE_OBJECT`
    `static java.lang.String` | `VIEWER_RENDER_BUFFER_MAX_SIZE` Maximum size (in pixels) of a buffered image that would be used by `JRViewer` to render a report page.
    `protected float` | `zoom`
    `protected int[]` | `zooms`

    - ### Fields inherited from class javax.swing.JComponent

      `accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRViewer(java.io.InputStream is, boolean isXML)`
    `JRViewer(java.io.InputStream is, boolean isXML, java.util.Locale locale)`
    `JRViewer(java.io.InputStream is, boolean isXML, java.util.Locale locale, java.util.ResourceBundle resBundle)`
    `JRViewer(JasperPrint jrPrint)`
    `JRViewer(JasperPrint jrPrint, java.util.Locale locale)`
    `JRViewer(JasperPrint jrPrint, java.util.Locale locale, java.util.ResourceBundle resBundle)`
    `JRViewer(JasperReportsContext jasperReportsContext, java.io.InputStream is, boolean isXML, java.util.Locale locale, java.util.ResourceBundle resBundle)`
    `JRViewer(JasperReportsContext jasperReportsContext, JasperPrint jrPrint, java.util.Locale locale, java.util.ResourceBundle resBundle)`
    `JRViewer(JasperReportsContext jasperReportsContext, java.lang.String fileName, boolean isXML, java.util.Locale locale, java.util.ResourceBundle resBundle)`
    `JRViewer(java.lang.String fileName, boolean isXML)`
    `JRViewer(java.lang.String fileName, boolean isXML, java.util.Locale locale)`
    `JRViewer(java.lang.String fileName, boolean isXML, java.util.Locale locale, java.util.ResourceBundle resBundle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHyperlinkListener(JRHyperlinkListener listener)`
    `void` | `addSaveContributor(JRSaveContributor contributor)`
    `void` | `clear()`
    `protected void` | `createHyperlinks()`
    `protected void` | `createHyperlinks(java.util.List<JRPrintElement> elements, int offsetX, int offsetY)`
    `protected void` | `drawPageError(java.awt.Graphics grx)`
    `protected void` | `forceRefresh()`
    `protected java.lang.String` | `getBundleString(java.lang.String key)`
    `protected java.lang.String` | `getFallbackTooltip(JRPrintHyperlink hyperlink)`
    `protected JRGraphics2DExporter` | `getGraphics2DExporter()`
    `JRHyperlinkListener[]` | `getHyperlinkListeners()`
    `protected java.lang.String` | `getHyperlinkTooltip(JRPrintHyperlink hyperlink)`
    `protected JasperReportsContext` | `getJasperReportsContext()`
    `protected java.awt.Image` | `getPageErrorImage()`
    `int` | `getPageIndex()`
    `JRSaveContributor[]` | `getSaveContributors()`
    `void` | `gotoHyperlink(JRPrintHyperlink hyperlink)`
    `protected void` | `hyperlinkClicked(JRPrintHyperlink hyperlink)`
    `protected void` | `initResources(java.util.Locale locale, java.util.ResourceBundle resBundle)`
    `protected void` | `initSaveContributors()`
    `protected boolean` | `isOnlyHyperlinkListener()`
    `protected void` | `keyNavigate(java.awt.event.KeyEvent evt)`
    `protected void` | `loadReport(java.io.InputStream is, boolean isXmlReport)`
    `protected void` | `loadReport(JasperPrint jrPrint)`
    `protected void` | `loadReport(java.lang.String fileName, boolean isXmlReport)`
    `protected void` | `paintPage(java.awt.Graphics2D grx)`
    `protected void` | `paintPageError(java.awt.Graphics2D grx)`
    `protected void` | `refreshPage()`
    `void` | `removeHyperlinkListener(JRHyperlinkListener listener)`
    `void` | `removeSaveContributor(JRSaveContributor contributor)`
    `void` | `setFitPageZoomRatio()`
    `void` | `setFitWidthZoomRatio()`
    `protected void` | `setPageImage()`
    `void` | `setSaveContributors(JRSaveContributor[] saveContribs)` Replaces the save contributors with the ones provided as parameter.
    `void` | `setZoomRatio(float newZoom)`
    `protected void` | `setZooms()`

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### VIEWER_RENDER_BUFFER_MAX_SIZE

          public static final java.lang.String VIEWER_RENDER_BUFFER_MAX_SIZE

      Maximum size (in pixels) of a buffered image that would be used by `JRViewer` to render a report page.

      If rendering a report page would require an image larger than this threshold (i.e. image width x image height > maximum size), the report page will be rendered directly on the viewer component.

      If this property is zero or negative, buffered images will never be user to render a report page. By default, this property is set to 0.

      See Also:
        Constant Field Values

    - #### TYPE_FILE_NAME

          protected static final int TYPE_FILE_NAME

      See Also:
        Constant Field Values

    - #### TYPE_INPUT_STREAM

          protected static final int TYPE_INPUT_STREAM

      See Also:
        Constant Field Values

    - #### TYPE_OBJECT

          protected static final int TYPE_OBJECT

      See Also:
        Constant Field Values

    - #### REPORT_RESOLUTION

          public static final int REPORT_RESOLUTION

      The DPI of the generated report.
      See Also:
        Constant Field Values

    - #### MIN_ZOOM

          protected final float MIN_ZOOM

      See Also:
        Constant Field Values

    - #### MAX_ZOOM

          protected final float MAX_ZOOM

      See Also:
        Constant Field Values

    - #### zooms

          protected int[] zooms

    - #### defaultZoomIndex

          protected int defaultZoomIndex

    - #### type

          protected int type

    - #### isXML

          protected boolean isXML

    - #### reportFileName

          protected java.lang.String reportFileName

    - #### zoom

          protected float zoom

    - #### realZoom

          protected float realZoom

      the zoom ration adjusted to the screen resolution.

    - #### jasperReportsContext

          protected JasperReportsContext jasperReportsContext

    - #### localJasperReportsContext

          protected LocalJasperReportsContext localJasperReportsContext

    - #### keyNavigationListener

          protected java.awt.event.KeyListener keyNavigationListener

    - #### saveContributors

          protected java.util.List<JRSaveContributor> saveContributors

    - #### lastFolder

          protected java.io.File lastFolder

    - #### lastSaveContributor

          protected JRSaveContributor lastSaveContributor

    - #### btnActualSize

          protected javax.swing.JToggleButton btnActualSize

    - #### btnFirst

          protected javax.swing.JButton btnFirst

    - #### btnFitPage

          protected javax.swing.JToggleButton btnFitPage

    - #### btnFitWidth

          protected javax.swing.JToggleButton btnFitWidth

    - #### btnLast

          protected javax.swing.JButton btnLast

    - #### btnNext

          protected javax.swing.JButton btnNext

    - #### btnPrevious

          protected javax.swing.JButton btnPrevious

    - #### btnPrint

          protected javax.swing.JButton btnPrint

    - #### btnReload

          protected javax.swing.JButton btnReload

    - #### btnSave

          protected javax.swing.JButton btnSave

    - #### btnZoomIn

          protected javax.swing.JButton btnZoomIn

    - #### btnZoomOut

          protected javax.swing.JButton btnZoomOut

    - #### cmbZoom

          protected javax.swing.JComboBox cmbZoom

    - #### lblStatus

          protected javax.swing.JLabel lblStatus

    - #### pnlSep01

          protected javax.swing.JPanel pnlSep01

    - #### pnlSep02

          protected javax.swing.JPanel pnlSep02

    - #### pnlSep03

          protected javax.swing.JPanel pnlSep03

    - #### pnlStatus

          protected javax.swing.JPanel pnlStatus

    - #### tlbToolBar

          protected javax.swing.JPanel tlbToolBar

    - #### txtGoTo

          protected javax.swing.JTextField txtGoTo

  - ### Constructor Detail

    - #### JRViewer

          public JRViewer(java.lang.String fileName,
                  boolean isXML)
                   throws JRException

      Throws:
        `JRException`
      See Also:
        `JRViewer(JasperReportsContext, String, boolean, Locale, ResourceBundle)`

    - #### JRViewer

          public JRViewer(java.io.InputStream is,
                  boolean isXML)
                   throws JRException

      Throws:
        `JRException`
      See Also:
        `JRViewer(JasperReportsContext, InputStream, boolean, Locale, ResourceBundle)`

    - #### JRViewer

          public JRViewer(JasperPrint jrPrint)

      See Also:
        `JRViewer(JasperReportsContext, JasperPrint, Locale, ResourceBundle)`

    - #### JRViewer

          public JRViewer(java.lang.String fileName,
                  boolean isXML,
                  java.util.Locale locale)
                   throws JRException

      Throws:
        `JRException`
      See Also:
        `JRViewer(JasperReportsContext, String, boolean, Locale, ResourceBundle)`

    - #### JRViewer

          public JRViewer(java.io.InputStream is,
                  boolean isXML,
                  java.util.Locale locale)
                   throws JRException

      Throws:
        `JRException`
      See Also:
        `JRViewer(JasperReportsContext, InputStream, boolean, Locale, ResourceBundle)`

    - #### JRViewer

          public JRViewer(JasperPrint jrPrint,
                  java.util.Locale locale)

      See Also:
        `JRViewer(JasperReportsContext, JasperPrint, Locale, ResourceBundle)`

    - #### JRViewer

          public JRViewer(java.lang.String fileName,
                  boolean isXML,
                  java.util.Locale locale,
                  java.util.ResourceBundle resBundle)
                   throws JRException

      Throws:
        `JRException`
      See Also:
        `JRViewer(JasperReportsContext, String, boolean, Locale, ResourceBundle)`

    - #### JRViewer

          public JRViewer(java.io.InputStream is,
                  boolean isXML,
                  java.util.Locale locale,
                  java.util.ResourceBundle resBundle)
                   throws JRException

      Throws:
        `JRException`
      See Also:
        `JRViewer(JasperReportsContext, InputStream, boolean, Locale, ResourceBundle)`

    - #### JRViewer

          public JRViewer(JasperPrint jrPrint,
                  java.util.Locale locale,
                  java.util.ResourceBundle resBundle)

      See Also:
        `JRViewer(JasperReportsContext, JasperPrint, Locale, ResourceBundle)`

    - #### JRViewer

          public JRViewer(JasperReportsContext jasperReportsContext,
                  java.lang.String fileName,
                  boolean isXML,
                  java.util.Locale locale,
                  java.util.ResourceBundle resBundle)
                   throws JRException

      Throws:
        `JRException`

    - #### JRViewer

          public JRViewer(JasperReportsContext jasperReportsContext,
                  java.io.InputStream is,
                  boolean isXML,
                  java.util.Locale locale,
                  java.util.ResourceBundle resBundle)
                   throws JRException

      Throws:
        `JRException`

    - #### JRViewer

          public JRViewer(JasperReportsContext jasperReportsContext,
                  JasperPrint jrPrint,
                  java.util.Locale locale,
                  java.util.ResourceBundle resBundle)

  - ### Method Detail

    - #### clear

          public void clear()

    - #### setZooms

          protected void setZooms()

    - #### addSaveContributor

          public void addSaveContributor(JRSaveContributor contributor)

    - #### removeSaveContributor

          public void removeSaveContributor(JRSaveContributor contributor)

    - #### getSaveContributors

          public JRSaveContributor[] getSaveContributors()

    - #### setSaveContributors

          public void setSaveContributors(JRSaveContributor[] saveContribs)

      Replaces the save contributors with the ones provided as parameter.

    - #### addHyperlinkListener

          public void addHyperlinkListener(JRHyperlinkListener listener)

    - #### removeHyperlinkListener

          public void removeHyperlinkListener(JRHyperlinkListener listener)

    - #### getHyperlinkListeners

          public JRHyperlinkListener[] getHyperlinkListeners()

    - #### initResources

          protected void initResources(java.util.Locale locale,
                           java.util.ResourceBundle resBundle)

    - #### getJasperReportsContext

          protected JasperReportsContext getJasperReportsContext()

    - #### getBundleString

          protected java.lang.String getBundleString(java.lang.String key)

    - #### initSaveContributors

          protected void initSaveContributors()

    - #### gotoHyperlink

          public void gotoHyperlink(JRPrintHyperlink hyperlink)

      Specified by:
        `gotoHyperlink` in interface `JRHyperlinkListener`

    - #### isOnlyHyperlinkListener

          protected boolean isOnlyHyperlinkListener()

    - #### forceRefresh

          protected void forceRefresh()

    - #### hyperlinkClicked

          protected void hyperlinkClicked(JRPrintHyperlink hyperlink)

    - #### getPageIndex

          public int getPageIndex()

    - #### loadReport

          protected void loadReport(java.lang.String fileName,
                        boolean isXmlReport)
                             throws JRException

      Throws:
        `JRException`

    - #### loadReport

          protected void loadReport(java.io.InputStream is,
                        boolean isXmlReport)
                             throws JRException

      Throws:
        `JRException`

    - #### loadReport

          protected void loadReport(JasperPrint jrPrint)

    - #### refreshPage

          protected void refreshPage()

    - #### setPageImage

          protected void setPageImage()

    - #### getPageErrorImage

          protected java.awt.Image getPageErrorImage()

    - #### createHyperlinks

          protected void createHyperlinks()

    - #### createHyperlinks

          protected void createHyperlinks(java.util.List<JRPrintElement> elements,
                              int offsetX,
                              int offsetY)

    - #### getHyperlinkTooltip

          protected java.lang.String getHyperlinkTooltip(JRPrintHyperlink hyperlink)

    - #### getFallbackTooltip

          protected java.lang.String getFallbackTooltip(JRPrintHyperlink hyperlink)

    - #### setZoomRatio

          public void setZoomRatio(float newZoom)

    - #### setFitWidthZoomRatio

          public void setFitWidthZoomRatio()

    - #### setFitPageZoomRatio

          public void setFitPageZoomRatio()

    - #### getGraphics2DExporter

          protected JRGraphics2DExporter getGraphics2DExporter()
                                                        throws JRException

      Throws:
        `JRException`

    - #### paintPage

          protected void paintPage(java.awt.Graphics2D grx)

    - #### paintPageError

          protected void paintPageError(java.awt.Graphics2D grx)

    - #### drawPageError

          protected void drawPageError(java.awt.Graphics grx)

    - #### keyNavigate

          protected void keyNavigate(java.awt.event.KeyEvent evt)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com